/* Zaklady programovani ... typedef, enum, struct */

#pragma once

typedef long long cislo;
using cislo1 = long long;

typedef unsigned int UInt;
typedef const UInt CUInt;
typedef int pole[10];
typedef int matice[9][9];

enum Den { pondeli, utery, streda, ctvrtek, patek, sobota, nedele };
enum SvetovaStrana { sever = 1, jih = 2, vychod = 4, zapad = 8 };
enum Pozice { programator, sekretarka, uklizecka };

struct Datum
{
	unsigned short den;
	unsigned short mesic;
	int rok;
};

struct Predmet
{
	std::string nazev;
	Datum terminy[5];
};


struct Zamestnanec
{
	std::string jmeno, prijmeni;
	Datum nastup;
	int plat;
	Pozice pozice;
};
